Package org.eclipse.graphiti.ui.internal.editor

## Class GFCommandStack

- java.lang.Object
- - org.eclipse.gef.commands.CommandStack
  - - org.eclipse.graphiti.ui.internal.editor.GFCommandStack

All Implemented Interfaces:
  `org.eclipse.emf.common.command.CommandStackListener`

    public class GFCommandStack
    extends org.eclipse.gef.commands.CommandStack
    implements org.eclipse.emf.common.command.CommandStackListener

The Class GFCommandStack.

### Field Summary

### Fields inherited from class org.eclipse.gef.commands.CommandStack

`listeners, POST_EXECUTE, POST_FLUSH, POST_MARK_SAVE, POST_MASK, POST_REDO, POST_UNDO, PRE_EXECUTE, PRE_FLUSH, PRE_MARK_SAVE, PRE_MASK, PRE_REDO, PRE_UNDO`

### Constructor Summary

Constructors
`GFCommandStack​(IConfigurationProvider configurationProvider, org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canRedo()`
`boolean` `canUndo()`
`void` `commandStackChanged​(java.util.EventObject event)`
`void` `dispose()`
`void` `execute​(org.eclipse.gef.commands.Command gefCommand)`
`void` `flush()`
`java.lang.Object[]` `getCommands()`
`org.eclipse.gef.commands.Command` `getRedoCommand()`
`org.eclipse.gef.commands.Command` `getUndoCommand()`
`boolean` `isDirty()`
`void` `redo()`
`void` `undo()`

### Methods inherited from class org.eclipse.gef.commands.CommandStack

`addCommandStackEventListener, addCommandStackListener, getUndoLimit, markSaveLocation, notifyListeners, notifyListeners, removeCommandStackEventListener, removeCommandStackListener, setUndoLimit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFCommandStack

    public GFCommandStack​(IConfigurationProvider configurationProvider,
                          org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)

### Method Detail

#### canRedo

    public boolean canRedo()

Overrides:
  `canRedo` in class `org.eclipse.gef.commands.CommandStack`

#### canUndo

    public boolean canUndo()

Overrides:
  `canUndo` in class `org.eclipse.gef.commands.CommandStack`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `org.eclipse.gef.commands.CommandStack`

#### execute

    public void execute​(org.eclipse.gef.commands.Command gefCommand)

Overrides:
  `execute` in class `org.eclipse.gef.commands.CommandStack`

#### flush

    public void flush()

Overrides:
  `flush` in class `org.eclipse.gef.commands.CommandStack`

#### getCommands

    public java.lang.Object[] getCommands()

Overrides:
  `getCommands` in class `org.eclipse.gef.commands.CommandStack`

#### getRedoCommand

    public org.eclipse.gef.commands.Command getRedoCommand()

Overrides:
  `getRedoCommand` in class `org.eclipse.gef.commands.CommandStack`

#### getUndoCommand

    public org.eclipse.gef.commands.Command getUndoCommand()

Overrides:
  `getUndoCommand` in class `org.eclipse.gef.commands.CommandStack`

#### isDirty

    public boolean isDirty()

Overrides:
  `isDirty` in class `org.eclipse.gef.commands.CommandStack`

#### redo

    public void redo()

Overrides:
  `redo` in class `org.eclipse.gef.commands.CommandStack`

#### undo

    public void undo()

Overrides:
  `undo` in class `org.eclipse.gef.commands.CommandStack`

#### commandStackChanged

    public void commandStackChanged​(java.util.EventObject event)

Specified by:
  `commandStackChanged` in interface `org.eclipse.emf.common.command.CommandStackListener`